MANUAL-EXPIRER(8zm)

NAME
manual-expirer - wrapper for expirer(8zm) transport agent program

SYNOPSIS

manual-expirer
    [-c channel] [-h "hostname"] [-u "user@domain"] [-l logfile] [-sV] [-m "message string"]

DESCRIPTION
The manual-expirer is tool for ZMailer administrator for removing mails from the spool by expiring them prematurely.

manual-expirer wraps expirer(8zm) utility call with suitable parameters for generating input.

Suggested parameters for expirer(8zm) are:

-c channel
    Message recipient selector "channel" (optional)

-h hostname
    Message recipient selector "host" (optional)

-u "user@domain"
    Message recipient selector "user" (optional)

-m 'message string'
    An alternate report string.

-s  Message expiration occurs without any report to anywhere. Silent mode.

-V  Print program version, and exit.

ENVIRONMENT VARIABLES
The manual-expirer program inherits ZCONFIG environment variable, and reads it, and uses value of MAILBIN in it to locate the expirer(8zm) utility, as well as to determine where POSTFOFFICE/transport/ directory is located at.

SEE ALSO
scheduler(8zm), expirer(8zm), zmailer.conf(5zm).

AUTHOR
This script is authored and copyright by:
    Matti Aarnio <mea@nic.funet.fi>